using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using EventMakerRazor.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;

namespace EventMakerRazorPagesV2.Pages.Events
{
    public class DeleteEventModel : PageModel
    {
        private FakeEventRepository repo;

        [BindProperty]
        public Event Event { get; set; }

        public DeleteEventModel()
        {
            repo = FakeEventRepository.Instance;
        }
        public IActionResult OnGet(int id)
        {
            Event = repo.GetEvent(id);
            if (Event == null)
                return RedirectToPage("/NotFound");

            return Page();
        }

        public IActionResult OnPost()
        {
            Event deletedEvent = repo.DeleteEvent(Event.Id);
            if (deletedEvent==null)
                return RedirectToPage("/NotFound");
            return RedirectToPage("Index");
        }
    }
}
